Package tigase.xmpp.impl

# Class VCardXMPPProcessorAbstract

java.lang.Object
tigase.xmpp.XMPPProcessor
tigase.xmpp.impl.annotation.AnnotatedXMPPProcessor
tigase.xmpp.XMPPProcessorAbstract
tigase.xmpp.impl.VCardXMPPProcessorAbstract

All Implemented Interfaces:
  `Comparable<XMPPImplIfc>`, `Initializable`, `UnregisterAware`, `XMPPImplIfc`, `XMPPProcessorConcurrencyAwareIfc`, `XMPPProcessorIfc`

Direct Known Subclasses:
  `VCard4`, `VCardTemp`

public abstract class VCardXMPPProcessorAbstract extends XMPPProcessorAbstract implements Initializable, UnregisterAware

Author:
  andrzej

- ## Field Summary

  ### Fields inherited from class tigase.xmpp.XMPPProcessor

  `ALL_NAMES, ALL_PATHS, cmpInfo`

  ### Fields inherited from interface tigase.xmpp.XMPPImplIfc

  `CLIENT_XMLNS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VCardXMPPProcessorAbstract()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `beforeUnregister()`
  Method called before bean unregister.
  `static Element`
  `convertVCard4ToVCardTemp(Element vcard4)`
  `static Element`
  `convertVCardTempToVCard4(Element vcardTemp)`
  `protected abstract String`
  `getVCardXMLNS()`
  `void`
  `initialize()`
  Method will be called, when bean will be created, configured and ready to use.
  `protected void`
  `setVCard(XMPPResourceConnection session, Element vcard)`
  `protected abstract void`
  `storeVCard(XMPPResourceConnection session, Element vcard)`

  ### Methods inherited from class tigase.xmpp.XMPPProcessorAbstract

  `isFromUserSession, isNullSession, isServerSession, isToUserSession, process, processFromUserOutPacket, processFromUserPacket, processFromUserToServerPacket, processNullSessionPacket, processServerSessionPacket, processToUserPacket`

  ### Methods inherited from class tigase.xmpp.impl.annotation.AnnotatedXMPPProcessor

  `id, supDiscoFeatures, supElementNamePaths, supNamespaces, supStreamFeatures, supTypes`

  ### Methods inherited from class tigase.xmpp.XMPPProcessor

  `canHandle, compareTo, concurrentQueuesNo, getComponentInfo, getInstance, getQueueSize, getStatistics, getThreadsNo, init, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface tigase.xmpp.XMPPImplIfc

  `canHandle, concurrentQueuesNo, getComponentInfo, getStatistics, id, init, supDiscoFeatures, supElementNamePaths, supNamespaces, supStreamFeatures, supTypes`

- ## Constructor Details

  - ### VCardXMPPProcessorAbstract

    public VCardXMPPProcessorAbstract()

- ## Method Details

  - ### convertVCard4ToVCardTemp

    public static Element convertVCard4ToVCardTemp(Element vcard4)

  - ### convertVCardTempToVCard4

    public static Element convertVCardTempToVCard4(Element vcardTemp)

  - ### beforeUnregister

    public void beforeUnregister()
    Description copied from interface: `UnregisterAware`
    Method called before bean unregister.
    Specified by:
      `beforeUnregister` in interface `UnregisterAware`

  - ### getVCardXMLNS

    protected abstract String getVCardXMLNS()

  - ### initialize

    public void initialize()
    Description copied from interface: `Initializable`
    Method will be called, when bean will be created, configured and ready to use.
    Specified by:
      `initialize` in interface `Initializable`

  - ### setVCard

    protected void setVCard(XMPPResourceConnection session, Element vcard) throws TigaseDBException, NotAuthorizedException
    Throws:
      `TigaseDBException`
      `NotAuthorizedException`

  - ### storeVCard

    protected abstract void storeVCard(XMPPResourceConnection session, Element vcard) throws TigaseDBException, NotAuthorizedException
    Throws:
      `TigaseDBException`
      `NotAuthorizedException`